Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.fitting.gaussian
Class GaussianFitting

    java.lang.Object
      org.encog.ml.fitting.gaussian.GaussianFitting

All Implemented Interfaces:
  MLInput, MLInputOutput, MLMethod, MLOutput, MLRegression

    public class GaussianFitting

extends Object
implements MLRegression

Constructor Summary
`GaussianFitting(int theInputCount)`

Method Summary
`MLData` | `compute(MLData input)` Compute regression.
`void` | `finalizeTraining()`
`int` | `getInputCount()`
`Matrix` | `getMu()`
`int` | `getOutputCount()`
`Matrix` | `getSigma()`
`double[]` | `getWeights()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GaussianFitting

    public GaussianFitting(int theInputCount)

Method Detail

### getWeights

    public double[] getWeights()

### getInputCount

    public int getInputCount()

  Specified by:
    `getInputCount` in interface `MLInput`
  Returns:
    The input.

### getOutputCount

    public int getOutputCount()

  Specified by:
    `getOutputCount` in interface `MLOutput`
  Returns:
    The output count.

### compute

    public MLData compute(MLData input)

  Description copied from interface: `MLRegression`
  Compute regression.

  Specified by:
    `compute` in interface `MLRegression`
  Parameters:
    `input` - The input data.
  Returns:
    The output data.

### getSigma

    public Matrix getSigma()

  Returns:
    the sigma

### getMu

    public Matrix getMu()

  Returns:
    the mu

### finalizeTraining

    public void finalizeTraining()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.